Fully featured low overhead profiler for Java EE and Java SE platforms.
Ultimate profiling and monitoring solution for Gradle, Maven, Ant, JUnit and TestNG.
Easy to use performance and memory profiler for .NET framework.

Compatibility for .Net 4.0

Moderators: Vladimir Kondratyev, Anton Katilin

Compatibility for .Net 4.0

Postby MemoryProfiler » Fri Jan 29, 2010 2:57 am

Hi,

Do you know when YourKit is likely to support .Net 4.0?

.Net 4.0 is already being used extensively throughout the development community which makes YourKit unuseable for many people.

Thanks heaps.
MemoryProfiler
 
Posts: 3
Joined: Fri Jan 29, 2010 2:42 am

Re: Compatibility for .Net 4.0

Postby Anton Katilin » Fri Jan 29, 2010 4:37 pm

Hello,

.NET Framework 4.0 will be supported. Early access to the new version which supports 4.0 will appear in the nearest future.

Best regards,
Anton
Anton Katilin
 
Posts: 5576
Joined: Wed Aug 11, 2004 8:37 am

Re: Compatibility for .Net 4.0

Postby MemoryProfiler » Fri Jan 29, 2010 9:25 pm

Hi Anton,

That is great news. I need to purchase a memory profiling tool very soon. Can you please give me a rough idea as to when it will be available so that I can plan?

Thanks heaps.
MemoryProfiler
 
Posts: 3
Joined: Fri Jan 29, 2010 2:42 am

Re: Compatibility for .Net 4.0

Postby Anton Katilin » Mon Feb 01, 2010 3:03 pm

Hello,

I cannot give exact dates, because it hardly depends on technical issues how soon we'll make it running.

We are currently working on this. I hope (but cannot promise) that we'll be able to publish an early access version in 5-7 days.

Best regards,
Anton
Anton Katilin
 
Posts: 5576
Joined: Wed Aug 11, 2004 8:37 am

Re: Compatibility for .Net 4.0

Postby MemoryProfiler » Mon Feb 15, 2010 2:54 am

Hi Anton,

Just checking if you have a version available for .Net 4.0 yet?

Thanks heaps.
MemoryProfiler
 
Posts: 3
Joined: Fri Jan 29, 2010 2:42 am

Re: Compatibility for .Net 4.0

Postby Vladimir Kondratyev » Mon Feb 15, 2010 10:04 am

We have internal version which works with .NET 4.0. I think that Early Access will be opened on this week. To stay tuned, please subscribe to our RSS news feed http://www.yourkit.com/rss.xml
Vladimir Kondratyev
 
Posts: 1444
Joined: Tue Aug 10, 2004 7:52 pm
Location: Düsseldorf, Germany

Re: Compatibility for .Net 4.0

Postby Anton Katilin » Thu Mar 04, 2010 2:21 pm

Hello,

.NET Framework 4 supported has been added: http://www.yourkit.com/dotnet/eap

Best regards,
Anton
Anton Katilin
 
Posts: 5576
Joined: Wed Aug 11, 2004 8:37 am

Re: Compatibility for .Net 4.0

Postby Anton Katilin » Tue May 25, 2010 2:26 pm

Hello,

.NET Framework 4 is supported in version 5.0 of the profiler. Released version is available at http://www.yourkit.com/dotnet/download

Best regards,
Anton
Anton Katilin
 
Posts: 5576
Joined: Wed Aug 11, 2004 8:37 am


Return to .NET Profiler

Who is online

Users browsing this forum: Bing [Bot] and 3 guests